# pandas.MultiIndex.swaplevel

`MultiIndex.``swaplevel`(i=-2, j=-1)

  Swap level i with level j. Do not change the ordering of anything

  Parameters:

  i, j : int, string (can be mixed)

  > Level of index to be swapped. Can pass level name as string.

  Returns: | swapped : MultiIndex Changed in version 0.18.1: The indexes `i` and `j` are now optional, and default to the two innermost levels of the index.

Scroll To Top